//
//  HITWindowStyle.h
//  HITTest
//
//  Created by Developer on 22/06/16.
//  Copyright © 2016 Payment Express. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface HITWindowStyle : NSObject

+ (const HITWindowStyle * _Nonnull)getDefault;

- (HITWindowStyle * _Nonnull)clone;

@property (nonatomic, assign) BOOL showLogo;

@property (nonatomic, assign) BOOL showActivityIndicator;
@property (nonatomic, strong, nullable) UIColor *activityIndicatorColor;

@property (nonatomic, strong, nonnull) UIColor *backgroundColor;

@property (nonatomic, strong, nonnull) UIColor *buttonsColor;
@property (nonatomic, strong, nonnull) UIColor *buttonsTextColor;
@property (nonatomic, assign) int buttonsCornerRadius;
@property (nonatomic, strong, nonnull) UIFont *buttonsFont;

@property (nonatomic, strong, nonnull) UIColor *informationTextColor;
@property (nonatomic, strong, nonnull) UIFont *informationFont;

@end
